Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.diffmerge.swt
Class DiffDialogHelper

    java.lang.Object
      org.eclipse.emf.ecp.diffmerge.swt.DiffDialogHelper

    public final class DiffDialogHelper

extends Object

The Diff Dialog helper provides methods to open a Diff Dialog.

Author:
  Eugen Neufeld

Method Summary
`static void` | `showDialog(DiffMergeModelContext diffModelContext, int diffIndex)` This opens a dialog displaying the differences of the elements of the `DiffMergeModelContext` based on the index of the difference.
`static void` | `showDialog(DiffMergeModelContext diffModelContext, VControl vControl, String featureLabel)` Opens a dialog displaying the differences of the elements of the `DiffMergeModelContext` based on the provided `VControl`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### showDialog

    public static void showDialog(DiffMergeModelContext diffModelContext,
                                  int diffIndex)
                           throws IllegalArgumentException

  This opens a dialog displaying the differences of the elements of the `DiffMergeModelContext` based on the index of the difference. If the index is not valid, less then 0 or greater equals the number of differences, then an `IllegalArgumentException` is thrown.

  Parameters:
    `diffModelContext` - the `DiffMergeModelContext` containing the data
    `diffIndex` - the index of the difference
  Throws:
    `IllegalArgumentException` - if the index is invalid

### showDialog

    public static void showDialog(DiffMergeModelContext diffModelContext,
                                  VControl vControl,
                                  String featureLabel)
                           throws IllegalArgumentException

  Opens a dialog displaying the differences of the elements of the `DiffMergeModelContext` based on the provided `VControl`.

  Parameters:
    `diffModelContext` - the `DiffMergeModelContext` containing the data
    `vControl` - the `VControl` having the differences
    `featureLabel` - the feature text to use in the title of the dialog
  Throws:
    `IllegalArgumentException` - if the controls doesn't have a difference

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.